/* ****************************************************************************
 * Copyright (C) 2024 Thomas Touhey <thomas@touhey.fr>
 *
 * This software is governed by the CeCILL 2.1 license under French law and
 * abiding by the rules of distribution of free software. You can use, modify
 * and/or redistribute the software under the terms of the CeCILL 2.1 license
 * as circulated by CEA, CNRS and INRIA at the following
 * URL: https://cecill.info
 *
 * As a counterpart to the access to the source code and rights to copy, modify
 * and redistribute granted by the license, users are provided only with a
 * limited warranty and the software's author, the holder of the economic
 * rights, and the successive licensors have only limited liability.
 *
 * In this respect, the user's attention is drawn to the risks associated with
 * loading, using, modifying and/or developing or reproducing the software by
 * the user in light of its specific status of free software, that may mean
 * that it is complicated to manipulate, and that also therefore means that it
 * is reserved for developers and experienced professionals having in-depth
 * computer knowledge. Users are therefore encouraged to load and test the
 * software's suitability as regards their requirements in conditions enabling
 * the security of their systems and/or data to be ensured and, more generally,
 * to use and operate it in the same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL 2.1 license and that you accept its terms.
 * ************************************************************************* */

#ifndef CAHUTE_CONFIG_H
# define CAHUTE_CONFIG_H 1

# define CAHUTE_LOGLEVEL_INFO     10
# define CAHUTE_LOGLEVEL_WARNING  20
# define CAHUTE_LOGLEVEL_ERROR    30
# define CAHUTE_LOGLEVEL_FATAL    40
# define CAHUTE_LOGLEVEL_NONE     50

# define CAHUTE_VERSION "0.4"
# define CAHUTE_VERNUM 0x00040000
# define CAHUTE_MAJOR 0
# define CAHUTE_MINOR 4
# define CAHUTE_DEFAULT_LOGLEVEL CAHUTE_LOGLEVEL_FATAL

# define CAHUTE_URL "https://cahuteproject.org/"
# define CAHUTE_ISSUES_URL "https://cahuteproject.org/guides/report.html"

#endif /* CAHUTE_CONFIG_H */
